Part Prism/es: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
(3 intermediate revisions by one other user not shown)
Line 5: Line 5:
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Wedge/es|Cuña]]
|[[Part_Wedge/es|Cuña]]
|[[Part_Module/es|Part]]
|[[Part_Workbench/es|Part]]
|IconL=Part_Ellipsoid.svg
|IconL=Part_Ellipsoid.svg
|IconR=Part_Wedge.svg
|IconR=Part_Wedge.svg
Line 25: Line 25:
== Descripción ==
== Descripción ==


<div class="mw-translate-fuzzy">
Un Prisma de Part es un sólido definido por el corte transversal de un polígono regular y una altura.
Un Prisma de Part es un sólido definido por el corte transversal de un polígono regular y una altura.
</div>


[[Image:Part_Prism_Example.png|400px]]
==Uso==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Uso==
# Abrir el banco de trabajo {{Button|[[Image:Workbench_Part.svg|16px]] [[Part_Module/es|Part]]}} .
</div>
# Presionar el botón {{Button|[[Image:Part_Primitives.svg|24px]] [[Part_Primitives/es|Primitivas]]}} , o usar el menú superior {{MenuCommand|Pieza → [[Part_Primitives/es|Crear primitivas]] → Prisma}} .
# Seleccionar '''Prisma''' en la ventana de diálogo e introducir los parámetros.
</div>


See [[Part_Primitives#Usage|Part Primitives]].
Las propiedades del Prisma pueden ser editadas posteriormente de las siguientes maneras:
En la pestaña Modelo: {{Version/es|0.19}}
# Seleccionando el Prisma y pinchando sobre él con doble clic de ratón, o pinchando con el botón derecho y seleccionando '''Editar Prisma''' en el menú contextual.
# Se abrirá la misma ventana que se utilizó para crear la Primitiva, en la que se pueden editar los parámetros deseados, pudiendo observarse los cambios en tiempo real.
# Aceptar los cambios pulsando el botón {{Button|OK}}.


== Example ==
Es posible crear prismas torcidos especificando ángulos con respecto al vector normal del adjunto seleccionado. {{Version/es|0.19}}

[[Image:Part_Prism_Scripting_Example.png|thumb|Part Prism from the scripting example]]

A Part Prism object created with the [[#Scripting|scripting example]] below is shown here.


== Propiedades ==
== Propiedades ==


See also: [[Property_editor|Property editor]].

A Part Prism object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Prism}}

<div class="mw-translate-fuzzy">
* {{PropertyData/es|Polígono:}} El número de aristas que forman las caras del polígono base y superior del prisma.
* {{PropertyData/es|Polígono:}} El número de aristas que forman las caras del polígono base y superior del prisma.
* {{PropertyData/es|Circunradio :}} Radio de la circunferencia en la que está inscrito el corte transversal del polígono que forma el prisma.
* {{PropertyData/es|Circunradio :}} Radio de la circunferencia en la que está inscrito el corte transversal del polígono que forma el prisma.
Line 50: Line 63:
* {{PropertyData/es|Primer Ángulo}}: Ángulo de la primera dirección. {{Version/es|0.19}}
* {{PropertyData/es|Primer Ángulo}}: Ángulo de la primera dirección. {{Version/es|0.19}}
* {{PropertyData/es|Segundo Ángulo}}: Ángulo de la segunda dirección. {{Version/es|0.19}}
* {{PropertyData/es|Segundo Ángulo}}: Ángulo de la segunda dirección. {{Version/es|0.19}}
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Prism can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
}}

* Where {{Incode|"myPrism"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()
}}




Line 56: Line 101:
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Ellipsoid/es|Elipsoide]]
|[[Part_Wedge/es|Cuña]]
|[[Part_Wedge/es|Cuña]]
|[[Part_Module/es|Part]]
|[[Part_Workbench/es|Part]]
|IconL=Part_Ellipsoid.svg
|IconL=Part_Ellipsoid.svg
|IconR=Part_Wedge.svg
|IconR=Part_Wedge.svg
Line 63: Line 108:
</div>
</div>


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:09, 3 March 2022

Part Prisma

Ubicación en el Menú
Pieza → Crear primitivas → Prisma
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
0.14
Ver también
Part Primitivas, Part Cubo

Descripción

Un Prisma de Part es un sólido definido por el corte transversal de un polígono regular y una altura.

Uso

See Part Primitives.

Example

Part Prism from the scripting example

A Part Prism object created with the scripting example below is shown here.

Propiedades

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DATOSPolígono: El número de aristas que forman las caras del polígono base y superior del prisma.
  • DATOSCircunradio : Radio de la circunferencia en la que está inscrito el corte transversal del polígono que forma el prisma.
  • DATOSAltura: Altura del Prisma.
  • DATOSPrimer Ángulo: Ángulo de la primera dirección. introducido en la versión 0.19
  • DATOSSegundo Ángulo: Ángulo de la segunda dirección. introducido en la versión 0.19

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()